Get full card details
curl --request GET \
--url https://api.qash.ai/api/v1/cards/details/full \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qash.ai/api/v1/cards/details/full', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.qash.ai/api/v1/cards/details/full"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "virtual",
"status": "active",
"last4": "8567",
"expirationMonth": "08",
"expirationYear": "31",
"limit": {
"amount": 1000,
"frequency": "per24HourPeriod"
},
"tokenWallets": [
"applePay"
],
"cardNumber": "4549********8567",
"cvc": "739"
}Cards
Get full card details
Return masked details for the primary card, with optional PAN and CVC.
GET
/
api
/
v1
/
cards
/
details
/
full
Get full card details
curl --request GET \
--url https://api.qash.ai/api/v1/cards/details/full \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qash.ai/api/v1/cards/details/full', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.qash.ai/api/v1/cards/details/full"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "virtual",
"status": "active",
"last4": "8567",
"expirationMonth": "08",
"expirationYear": "31",
"limit": {
"amount": 1000,
"frequency": "per24HourPeriod"
},
"tokenWallets": [
"applePay"
],
"cardNumber": "4549********8567",
"cvc": "739"
}Requires
Authorization: Bearer <user-access-token> — the token from Verify login code.includeSecrets=true. Secrets are omitted while the card is locked or when includeSecrets is not true.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Set to 'true' to include the masked PAN and CVC.
Available options:
true, false Response
Full card details returned successfully.
Example:
"virtual"
Available options:
notActivated, active, locked, canceled Example:
"8567"
Example:
"08"
Example:
"31"
Example:
["applePay"]
Masked PAN. Only present when includeSecrets=true and the card is not locked.
Example:
"4549********8567"
Only present when includeSecrets=true and the card is not locked.
Example:
"739"